package fr.iutfbleau.projetIHM2022FI2.Permanent.View;

import java.awt.Graphics;

import javax.swing.JComponent;
import javax.swing.JFrame;

import java.awt.*;

/**
 * Class Dessinant les boutons du menu
 */
public class Chargement extends JComponent{
    private JFrame fenetre;

    public Chargement(JFrame n){
      this.fenetre=new JFrame();
      this.fenetre.setSize(n.getSize());
      this.fenetre.setLocation(n.getLocation());
      this.fenetre.add(this, BorderLayout.CENTER);
      this.fenetre.setVisible(true);
    }

    public void dispose(){
      this.fenetre.dispose();
    }

    @Override
    protected void paintComponent(Graphics pinceau) {
      // obligatoire : on crée un nouveau pinceau pour pouvoir le modifier plus tard
      Graphics2D secondPinceau = (Graphics2D) pinceau.create();
      secondPinceau.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
      // obligatoire : si le composant n'est pas censé être transparent
      if (this.isOpaque()) {
        // obligatoire : on repeint toute la surface avec la couleur de fond
        secondPinceau.setColor(this.getBackground());
        secondPinceau.fillRect(0, 0, this.getWidth(), this.getHeight());
      }
      // maintenant on dessine ce que l'on veut
      secondPinceau.setColor(Color.BLUE);
      secondPinceau.setFont(new Font(Font.SANS_SERIF, Font.BOLD, (this.getWidth()/10)));
      FontMetrics metrics = secondPinceau.getFontMetrics(secondPinceau.getFont());
      secondPinceau.drawString("CHARGEMENT", (this.getWidth()/2-metrics.stringWidth("CHARGEMENT")/2), (this.getHeight()-metrics.getHeight())/3+metrics.getAscent());
    }
}